#
# spec file for package eric5
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           eric5
Version:        5.5.2
Release:        7.24
Summary:        Python IDE based on Qt4
License:        GPL-3.0+
Group:          Development/Tools/IDE
Url:            http://eric-ide.python-projects.org/
Source0:        %{name}-%{version}.tar.gz
Source10:       %{name}-i18n-cs-%{version}.tar.gz
Source11:       %{name}-i18n-de-%{version}.tar.gz
Source12:       %{name}-i18n-en-%{version}.tar.gz
Source13:       %{name}-i18n-es-%{version}.tar.gz
Source14:       %{name}-i18n-fr-%{version}.tar.gz
Source15:       %{name}-i18n-it-%{version}.tar.gz
Source16:       %{name}-i18n-ru-%{version}.tar.gz
Source17:       %{name}-i18n-tr-%{version}.tar.gz
Source18:       %{name}-i18n-zh_CN.GB2312-%{version}.tar.gz
Patch0:         %{name}-sidebar.patch
BuildRequires:  fdupes
BuildRequires:  python3-qscintilla
BuildRequires:  python3-qt4
BuildRequires:  python3-sip
BuildRequires:  python3-xml
BuildRequires:  update-desktop-files
Requires:       python3-logilab-astng >= 0.19.0
Requires:       python3-logilab-common >= 0.43.0
Requires:       python3-pysvn >= 1.7.0
Requires:       python3-qscintilla
Requires:       python3-qt4
Requires:       python3-xml
Recommends:     python3-cx_Freeze
Recommends:     python3-doc
Recommends:     python3-enchant >= 1.5.3
Recommends:     python3-pylint >= 0.18.0
Recommends:     python3-rope >= 0.9.2
Conflicts:      eric4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Eric is a full featured Python and Ruby editor and IDE, written in python. It
is based on the cross platform Qt gui toolkit, integrating the highly flexible
Scintilla editor control. It is designed to be usable as everdays' quick and
dirty editor as well as being usable as a professional project management tool
integrating many advanced features Python offers the professional coder.

%package api
Summary:        API files for eric65-api
Group:          Development/Tools/IDE
Conflicts:      python3-eric6-api
Conflicts:      python-eric6-api

%description api
This package provides API files for eric5.
If python-eric6 and python3-eric6 packages are installed then only one
python-eric6-api or python3-eric6-api or python3-eric5-api is needed.

%prep
%setup -q -b 10 -b 11 -b 12 -b 13 -b 14 -b 15 -b 16 -b 17 -b 18 -n %{name}-%{version}
%patch0

# Fix non-executable scripts:
sed -i "s|#!/usr/bin/env python3||" eric/{eric5_sqlbrowser,eric5_uipreviewer,Examples/rhallo,eric5_plugininstall,eric5_tray,eric5_pluginrepository,eric5_unittest,eric5_api,eric5,compileUiFiles,eric5_editor,eric5_trpreviewer,eric5_diff,install-i18n,uninstall,eric5_re,install,eric5_webbrowser,eric5_configure,eric5_iconeditor,Examples/hallo,eric5_qregexp,eric5_pluginuninstall,Utilities/crypto/py3AES,eric5_compare,eric5_doc,cleanupSource,eric5_snap,eric5_qregularexpression,Plugins/CheckerPlugins/CodeStyleChecker/pep8,ThirdParty/CharDet/chardet/chardetect}.py

%build
# nothing here

%install
python3 install.py -b /usr/bin -d %python3_sitelib -i %{buildroot} -x
%fdupes %{buildroot}/%{python3_sitelib}/%{name}
# fix rpmlint warning
chmod +x %{buildroot}/%{python3_sitelib}/%{name}/Utilities/crypto/py3AES.py

%files
%defattr(-,root,root)
%doc LICENSE.GPL3 README THANKS
%{_bindir}/*
%{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}_webbrowser.desktop
%{_datadir}/pixmaps/eric.png
%{_datadir}/pixmaps/ericWeb.png
%{python3_sitelib}/*

%files api
%defattr(-,root,root)
%dir /usr/share/qt4/qsci/api/python
/usr/share/qt4/qsci/api/python/*
%dir /usr/share/qt4/qsci/api/ruby
/usr/share/qt4/qsci/api/ruby/*
%dir /usr/share/qt4/qsci/api/qss
/usr/share/qt4/qsci/api/qss/*

%changelog
* Sat Jan  3 2015 termim@gmail.com
- split out api package
* Sun Dec 21 2014 termim@gmail.com
- eric5-sidebar.patch - Fix sidebar shrink from upstream
* Tue Dec  9 2014 termim@gmail.com
- to 5.5.2
  - bug fixes
- remove eric5-desktop_encoding.patch - fixed upstream
- remove eric5-build_compare.patch - not needed nymore
* Sun Nov 30 2014 termim@gmail.com
- Update to 5.5.1
  - bug fixes
- add eric5-desktop_encoding.patch
* Wed Oct 29 2014 termim@gmail.com
- Update to 5.5.0
  - bug fixes
  - General
  * changed the eric mascot to be a Python (i.e. the snake). New icons
    and pixmaps provided by Thimo Kraemer.
  * changed the code to be executed with Python 2 as well (thanks to
    Tobias Rzepka)
  * implemented a background service which execute Python2 and Python3 scripts
    in the background independent of the current interpreter
  * added Portugese translations provided by Candido Fontes
  - Checkers
  * updated pep8 to 1.5.6
  * updated pyflakes to version 0.8.1 (Python 3.4.0 compatible)
  * added syntax checker for JavaScript files
  * added capability to check multiple files from the project sources browser
  - Debugger
  * updated coverage to 3.7.1
  * enabled coverage info in Python2 projects
  - Editor
  * added a scrolling map like display showing all markers
  * added a context menu entry to reload a file with a given encoding
  * added a lexer for Qt style sheet files (when upgrading from older
    eric versions a change of the lexer association for *.qss files needs
    to be done via the configuration dialog)
  * added support for the QScintilla Gettext lexer (QsciLexerPO) as of
    QScintilla 2.8.2
  * added support for the QScintilla CoffeeScript lexer
    (QsciLexerCoffeeScript) as of QScintilla 2.8.3
  - Multi Project
  * added support for the categorisation of projects and changed the
    multi project file format
  - Plugin Manager
  * extended the plugin repository dialog to allow to hide unwanted entries
    and cleanup the plugin downloads area
  * implemented the Python2 compatibility check for plug-ins (new boolean flag
    'python2Compatible'
  - Project
  * added support for JavaScript projects
  * added code to move deleted files/directories to the recycle bin falling
    back to removing them (os.remove), if send2trash cannot be imported due
    to missing dependencies
  - Version Control System Interfaces
  * All
  - - made the status LED (right lower corner) clickable (depending on
    overall VCS status it will show the log browser or the status dialog)
  * Mercurial
  - - enhanced the tag dialog and extended the log browser to allow
    tagging of a specific revision
  - - added dialogs to enter the contents for initial .hgrc/mercurial.ini
    and .hg/hgrc files
  - - added a configuration option to enforce the usage of the internal
    merge tool
  - - made availablity of push/pull related actions dependent on configured
    remote repository (default/default-push in .hg/hgrc)
  - - extended the log browser by an action to switch to the selected
    revision
  - - added support for the shelve extension (as of Mercurial 2.8)
  - - added support for the largefiles extension (as of Mercurial 2.0)
  - - added support for Mercurial queues summary
  - - added support for various 'resolve' subcommands
  - Multi Project
  * changed multi project file format to contain relative paths to
    the contained project files
  - Project Forms Browser
  * added functionality to modify some form code creation options (see
    Qt configuration page)
  - Web Browser
  * added DuckDuckGo to the list of default search engines
  - Third Party packages
  * updated CharDet to 2.2.1
* Sat Oct  4 2014 termim@gmail.com
- Update to 5.4.7
  - bug fixes
* Sat Aug  9 2014 termim@gmail.com
- Update to 5.4.6
  - bug fixes
* Mon Jun 30 2014 termim@gmail.com
- Update to 5.4.5
  - bug fixes
* Mon May 12 2014 termim@gmail.com
- Update to 5.4.4
  - bug fixes
- Checkers
  - updated pyflakes to version 0.8.1 (Python 3.4.0 compatible)
* Sat Apr  5 2014 termim@gmail.com
- Update to 5.4.3
  - bug fixes
* Tue Mar 11 2014 termim@gmail.com
- Update to 5.4.2
  - bug fixes
* Fri Feb 21 2014 termim@gmail.com
- fix libpng complains about lexerD.png
* Tue Feb 11 2014 termim@gmail.com
- Update to version 5.4.1
  - bug fixes
* Tue Jan  7 2014 termim@gmail.com
- Update to version 5.4.0
  - General
  * introduced a zoom widget in the status bar of several windows
  * centralized the SSL error handling in E5SslErrorHandler
  * moved the SSL widgets to the E5Network package
  * changed the 'import' statements to improve startup behavior
  * removed the QtHelp dependancy; support is only available, if the
    QtHelp module could be imported
  * changed code to be compatible with latest PyQt4 Windows installers
  * introduced a configurable delay timer to get smoother sidebars
    behavior
  * added a specialized error message handler allowing to filter
    messages
  * added commandline options '--start-file', '--start-multi' and
    '--start-project' to start with the most recently opened file, multi
    project or project
  * added a dialog to show the most recent error log
  - Debugger
  * Debug Viewer
  - added a viewer for the call stack leading to the current line
  * Variables Viewer
  - changed the way multi line strings are shown in the value
    column
  - Checkers
  * Coding Style (previously PEP-8)
  - extended the coding style checker and its fixer
  - added a checker for naming conventions
  - dded a checker for docstring conventions
  - extended the fixer for docstring issues
  - Editor
  * added the capability to preview HTML, Mardown and ReST files
  * added the capability to sort lines spanned by a rectangular
    selection based on the selected text
  * added entires to convert the selection to upper/lower case to the
    edit menu
  * changed the line numbers margin to adjust themselves to the size
    needed
  * added support for virtual space
  * added support to show the current class/method name in the combo
    boxes at the top of the editor
  - File Browser
  * added a JavaScript parser in order to show the structure of
    JavaScript files
  - Mini Editor
  * changed the line numbers margin to adjust themselves to the size
    needed
  * added support for virtual space
  - Multi Project
  * extended the context menus of the multi project browser to be able
    to add projects this way
  - Project
  * added support for PyQt5 projects
  - Project Viewer
  * All
  - added a context menu entry to delete the selected directory
  * Forms Viewer
  - added support for more widgets in the code creation dialog
  - added a plug-in hook for the 'open' action
  * Sources Viewer
  - added support to highlight the current class/method name of the
    current editor
  - added a JavaScript parser in order to show the structure of
    JavaScript files
  * Translations Viewer
  - added a plug-in hook for the 'open' action
  - Shell
  * changed the line numbers margin to adjust themselves to the size
    needed
  - Symbols Viewer
  * extended the list of supported unicode code blocks
  - Template Viewer
  * added a context menu entry to reload the templates
  * changed logic such, that the templates are only written, if they
    contain some changes
  - User Interface
  * made the search and replace widgets scrollable (customisation for
    smaller screens)
  - Version Control System Interfaces
  * All
  - added a confirmation dialog to the 'revert' actions
  * Mercurial
  - added a 'Copy Changesets' button to the log browser dialog
  - editing the config file will generate a minimal one if none
    exists
  - added support for the 'summary' command --- added capability
    to compare files side-by-side
  * Subversion
  - added capability to compare files side-by-side
  - added cabaility to upgrade the working copy format
  - Web Browser
  * reworked the various SSL info widgets to show more info
  * added a dialog to configure hosts to be exempted from caching
  * added the capability to save the visible part of the current page
    as a screen shot
  - Wizards
  * added a wizard for the Qt5 QRegularExpression class (requires
    PyQt5)
  * added support for PyQt5 to the QFileDialog wizard
  - Third Party packages
  * updated to Pygments 1.6
* Wed Dec 11 2013 termim@gmail.com
- Update to version 5.3.9
  * Bugfix release
* Thu Nov 14 2013 termim@gmail.com
- Update to version 5.3.8
  * Bugfix release
* Fri Oct 18 2013 termim@gmail.com
- Update to version 5.3.7
  * Bugfix release
* Wed Aug 28 2013 termim@gmail.com
- Update to version 5.3.6
  * Bugfix release
* Tue Jul  9 2013 termim@gmail.com
- Update to version 5.3.5
  * Bugfix release
* Wed Jun 12 2013 termim@gmail.com
- Update to version 5.3.4
  * Bugfix release
* Tue May 14 2013 termim@gmail.com
- Update to version 5.3.3
  * Bugfix release
* Fri Apr 12 2013 termim@gmail.com
- Update to version 5.3.2
  * Bugfix release
* Mon Mar  4 2013 mlin@suse.com
- Update to version 5.3.1
  * Bugfix release
* Mon Feb  4 2013 mlin@suse.com
- Update to version 5.3.0
  - Bugfixes
  - General
  * introduced a "workspace" directory that is used as the default
    for opening or saving new files or projects (configurable on
    Multiproject config page)
  * added support for Qt5 (experimental)
  - Configuration Dialog
  * added a filter edit to filter the configuration tree
  - Debugger
  * added the capability to trace function calls and returns to
    the Python 2 and Python 3 debuggers
  - Debug Viewer
  * added the configurable capability to automatically show the
    source, when the call frame is changed in the callstack viewer
    of the local variables viewer
  * added a viewer for call trace logs
  - Editor
  * added capability to change the colours of the edit area
    independant from the colours of the system style
  * added capability to mark changed lines and to navigate between them
  * added actions to search for the next/previous occurence of the
    current word (default shortcuts Ctrl+. and Ctrl+,)
  - Graphics Dialogs
  * added capability to store and load diagrams to/from disk
  * improved the package diagram to include subpackages and their
    module names
  * added the capability to rebuild a diagram without losing the
    current item positions
  - IRC
  * added a simple IRC client
  - Log Viewer
  * added the capability to search in the recorded log
  - Project
  * added capability to save project tasks automatically (configurable
    on project configuration page of configuration dialog)
  * made the selectable project types of the project properties dialog
    dependent upon the selected programming language
  - Shell
  * added the capability to search in the output of the shell window
  - Snapshot
  * added a tool to take screenshots (fullscreen, selected screen,
    rectangular selection, elliptical selection or freehand selection)
  - Spell Checker
  * added a dialog to edit the various spell checking dictionaries
  - Syntax Checker
  * added capability to the syntax checker dialog to show all
    errors/warnings in an editor when the file entry is double activated
  - Tasks
  * changed the tasks handling to allow for more fine grained task
    designations
  - Terminal
  * added the capability to search in the output of the terminal window
  - User Interface
  * changed the layout of the right side widgets and added a sub menu
    for the switching between the 'inner' windows.
  * added a notification system
  - Version Control System Interfaces
  * added code to ensure, that some eric specific files and directories
    get ignored
  * improved the copy/move operation a bit
  * added support for the graft command as of Mercurial 2.0
  * added support for Phases as of Mercurial 2.1
  * added support for amending commits as of Mercurial 2.2
  * added support for sub-repositories
  * added support for --log and --dry-run to the hg graft operation as
    of Mercurial 2.3.0
  * added code to disable the (deprecated) transplant menu for
    Mercurial 2.3.0
  * changed code to make the subversion plug-ins compatible with the
    new generation working copy meta-data format
  * added capability to select from existing change lists and added a
    dialog to browse the change lists
  - View Manager
  * added actions to open the find in files and replace in files
    dialogs in a mode that searches open files only
  * change the status labels for programming language and
    end-of-line type to show an icon
  - Web Browser
  * too many extensions to list here (see changelog for details)
* Wed Jan  2 2013 mlin@suse.com
- Update to version 5.2.7
  * Bugfix release
  * Refresh eric5-build_compare.patch
* Wed Oct 17 2012 termim@gmail.com
- Update to version 5.2.6
  * Bugfix release
* Tue Sep  4 2012 mlin@suse.com
- Update to version 5.2.5
  * Bugfix release
* Mon Jul 30 2012 mlin@suse.com
- Update to version 5.2.4
  * Bugfix release
* Mon Jun 18 2012 mlin@suse.com
- Update to version 5.2.3
  * Bugfix release
* Fri May  4 2012 toddrme2178@gmail.com
- Fix rpmlint warnings
* Tue May  1 2012 mlin@suse.com
- Update to version 5.2.2
  * Bugfix release
* Mon Apr 30 2012 toddrme2178@gmail.com
- Re-enable optional build requirements that are now packaged for
  python 3
* Thu Apr 12 2012 termim@gmail.com
- Update to 5.2.1
  * bug fixes
* Mon Feb 20 2012 saschpe@suse.de
- Disable some optional requires for now
* Mon Feb 20 2012 saschpe@suse.de
- Update to version 5.2.0:
  * bug fixes
  * Cooperation Functions
  * added code to the cooperation functions to support IPv6
  * Debugger
  * extended debugger to show class variables
  * extended debugger to ignore exceptions occuring in lines having a
    '__IGNORE_EXCEPTION__' line flag set
  * Editor
  * added an action to preview the file in the eric web browser. File name
    extension to support this feature can be configured on the
    Editor->Filehandling page
  * added an action to the editor context menu and to the tabview and listview
    view managers to open an associated 'rejections' file (i.e. same file name
    with '.rej' appended)
  * added an action to toggle block comments
  * added a syntax check while typing function
  * added source navigation function for Python 2, Python 3 and Ruby sources
  * added support for QScintilla 2.6 (and newer)
  * added capability to zoom by Ctrl + Mouse Wheel (same for the shell and terminal)
  * added capability to zoom by a pinch gesture (same for the shell and terminal)
  * added capability to go to method and class definitions by Shift + Mouse Wheel
  * added the capability to replace just the selected occurence of the search text
  * Plug-in Manager Tools
  * added code to download and install plug-ins
  * Source Browser
  * show class attributes, class methods and static methods with different icons
  * added context menu for attributes
  * Source Documentor
  * introduced separate sections for class methods and static methods
  * Tasks Manager
  * made tasks manager forget about global file tasks when file is closed
    (configurable via configuration dialog)
- Removed services
- Drop custom desktop and png files, use upstream instead
- Cleanup (Build)Requires, provide a better description and fix several
  rpmlint issues
* Sat Feb  4 2012 termim@gmail.com
- update to 5.1.8
  - bug fixes
* Thu Nov 24 2011 termim@gmail.com
- update to 5.1.6
  - bug fixes
  - enhancement to the API generator to support the latest eric
    assistant plug-in
* Mon Aug 15 2011 termim@gmail.com
- update to 5.1.4
* Thu Jun  9 2011 fisiu@opensuse.org
- update to 4.4.15: bugfix release
- drop plugins, those can be installed using plugin manager
* Thu Feb 17 2011 toddrme2178@gmail.com
- update to 4.4.12
  * bugfixes.
- update to 4.4.11
  * bugfixes.
* Fri Dec 10 2010 toddrme2178@gmail.com
- update to 4.4.10
  * bugfixes.
* Mon Oct 11 2010 toddrme2178@gmail.com
- update to 4.4.9
  * bugfixes.
-update django plugin to 2.1.2
  * bugfixes.
* Thu Sep  9 2010 toddrme2178@gmail.com
- update to 4.4.8
  * bugfixes.
* Thu Aug 26 2010 toddrme2178@gmail.com
- update to 4.4.7
  * bugfixes.
* Thu May 20 2010 cmorve69@yahoo.es
- Fix build-compare
* Tue Mar 30 2010 tittiatcoke@gmail.com
- update to 4.4.2
  * bugfixes.
* Sat Feb  6 2010 tittiatcoke@gmail.com
- update to 4.4.1
  * bugfixes
* Sat Jan  9 2010 tittiatcoke@gmail.com
- update to 4.4.0
  * changed the help viewer to a full blown web browser (based on QtWebKit)
  * improved debugger support
    +  added a Python3 compatible debugger and a respective project type
    +  added a thread list viewer to the debug viewer
    +  added support for forking to the Python debuggers (follow child or parent)
    +  added code for handling infinite recursions to the Python debuggers
  * added Italian translations
  * added the SQL Browser tool to inspect databases
  * added a little icon editor tool
  * removed Qt3 support
* Tue Dec 15 2009 tittiatcoke@gmail.com
- Update to 4.3.10
  * Bug fixes
  * for detailed changelog, see included changelog
* Fri Sep  4 2009 hpj@urpla.net
- add python-enchant to recommends
* Wed Sep  2 2009 beineri@opensuse.org
- downgrade one more requirement to recommends
* Tue Aug 25 2009 beineri@opensuse.org
- don't require not in distribution existing package
* Sat Aug  8 2009 hpj@urpla.net
- pylint renamed to python-pylint
* Fri Aug  7 2009 hpj@urpla.net
- fix python-rope required version
* Thu Aug  6 2009 hpj@urpla.net
- add python-rope and pylint with specific versions in order to pull
  the required packages
- python-logilab-astng and python-logilab-common as required (again
  with specific versions in order to pull the required packages)
* Wed Aug  5 2009 hpj@urpla.net
- add pylint and python-rope as dependencies, python-cx-freeze
  as recommended pkg
* Sat Aug  1 2009 tittiatcoke@gmail.com
- update to 4.3.6
  * mainly bugfixes
  * for detailed changelog, see included changelog
* Sat Jul 11 2009 tittiatcoke@gmail.com
- update to 4.3.5:
  * for detailed changelog, see included changelog
* Wed Jun 17 2009 tittiatcoke@gmail.com
- update to 4.3.4:
  * for detailed changelog, see included changelog
* Thu May  7 2009 binner@kde.org
- reviewed changes
* Sun May  3 2009 tittiatcoke@gmail.com
- update to 4.3.3:
  * for detailed changelog, see included changelog
* Sat May  2 2009 dmueller@suse.de
- review/merge to openSUSE:Factory
* Thu Apr  2 2009 tittiatcoke@gmail.com
- update to 4.3.2:
  * for detailed changelog, see included changelog
  * License change to GPLv3
* Tue Sep 23 2008 dmueller@suse.de
- update to 4.2.1:
  * for detailed changelog, see included changelog
* Thu Jul 10 2008 stbinner@suse.de
- update to 4.1.6: bug fixes
* Mon Jun 16 2008 stbinner@suse.de
- update to 4.1.5: bug fixes and compatibility fixes for Qt 4.4
* Thu Apr 24 2008 dmueller@suse.de
- update to 4.1.2:
  * plugin support, many other new features and bugfixes (see ChangeLog)
* Wed Dec 19 2007 stbinner@suse.de
- update to 4.0.4: several bugfixes
* Mon Oct  1 2007 stbinner@suse.de
- update to 4.0.2:
  - bug fixes
  - added '-z' to installer to inhibit compilation of python files
  - changed code to not look for the Qt4 tools in a subdirectory of
    the Qt installation directory (it is now required, that the Qt
    bin directory is in the PATH)
  - changed code of Python debug client to better intercept output
    on non-win32 systems
* Mon Sep  3 2007 dmueller@suse.de
- fix typo in last change
- add eric symlink
* Fri Aug 31 2007 dmueller@suse.de
- fix qscintilla requires (#bug 297650)
* Mon Aug 27 2007 dmueller@suse.de
- reduce buildrequires
* Sat Aug 11 2007 wstephenson@suse.de
- Add eric project files mimetype (#288962)
* Sat Aug 11 2007 dmueller@suse.de
- fix requires (#297650)
* Sun Jul 22 2007 stbinner@suse.de
- update to 4.0.1: Qt 4 version, for other changes see ChangeLog
* Sun Apr 22 2007 stbinner@suse.de
- update to 3.9.5: bugfixes and updated PyLint interface
* Fri Feb  2 2007 stbinner@suse.de
- fix changes file not incremental
* Tue Jan  2 2007 stbinner@suse.de
- update to version 3.9.4:
  * enhanced compatibility for Subversion 1.4
  * added support for new QScintilla stuff
    (e.g. autocomplete from document and APIs)
  * extended debugger to not set the encoding (configurable)
  * added keyboard shortcuts for the shell (clear, zoom actions)
  * added the tool eric3-configure to setup eric3 without the need
    to start the IDE
* Mon Jun 26 2006 stbinner@suse.de
- update to version 3.9.1
  * bug fixes
  * introduced a config option for wrapping long lines in editor
  * removed Mercurial support because it wasn't used
* Wed Jun 21 2006 adrian@suse.de
- fix build for 10.1 and below with original qscintilla
* Wed May 24 2006 adrian@suse.de
- fix build for < 10.1
  * remove obsolete BuildRequires
* Wed May 17 2006 dmueller@suse.de
- update buildrequires
* Wed May 17 2006 stbinner@suse.de
- update to version 3.9
  * a bunch of bug fixes
  * a few usability enhancements
  * support for Qt4 and PyQt4
  * support for functions new to subversion >= 1.2.0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 22 2005 ro@suse.de
- require pyton-qt instead of PyQt
* Mon Dec 19 2005 stbinner@suse.de
- update to version 3.8.1
* Mon Nov 14 2005 stbinner@suse.de
- readd i18n files which were before last update in big tarball
* Mon Nov  7 2005 stbinner@suse.de
- update to version 3.8.0
* Mon Sep 26 2005 stbinner@suse.de
- made icon background transparent
* Mon Sep 19 2005 joe@suse.de
- update to version 3.7.2
* Mon Jul 11 2005 joe@suse.de
- update to bugfix version 3.7.1
* Sun Jun  5 2005 joe@suse.de
- update to version 3.7.0
* Mon Feb 21 2005 joe@suse.de
- update to bugfix version 3.6.2
- switching to using PyQt virtual package dependency, so
  we have the option of supplying separate binding packages later
* Thu Feb 17 2005 joe@suse.de
- fixing missing MimeType entries in .desktop file
* Mon Feb  7 2005 joe@suse.de
- using a somewhat better icon for the menus now
* Sat Jan 29 2005 joe@suse.de
- update to bugfix version 3.6.1
* Thu Jan 27 2005 joe@suse.de
- fixed the build requirements to get eric3 built on
  pre-9.2 distributions
* Sun Jan 23 2005 joe@suse.de
- update to version 3.6.0
- this version uses KDE widgets where possible
* Mon Dec  6 2004 joe@suse.de
- added the translation packages
* Fri Dec  3 2004 adrian@suse.de
- update to version 3.5.1
* Wed Sep 29 2004 joe@suse.de
- updated to prerelease of 3.5
- removed crystal icons; they are part of the package now
- now with German, Russion, French translations
* Tue Sep 21 2004 adrian@suse.de
- use kdebindings3-python instead of sip/PyQt
* Thu Sep 16 2004 adrian@suse.de
- fix build for lib64
* Fri Sep 10 2004 adrian@suse.de
- fix icon pixmap for menu entry
* Thu Jun 24 2004 joe@suse.de
- add CrystalSVG icons and make them the default
- add the PyQt API files (not activated by default)
* Fri May 28 2004 adrian@suse.de
- add menu entry (#41338)
* Thu May 27 2004 adrian@suse.de
- update to version 3.4.2
* Tue Apr 20 2004 adrian@suse.de
- update to version 3.4.1
* Tue Jan  6 2004 adrian@suse.de
- update to version 3.3.1
- use BuildRoot
* Fri Sep 19 2003 adrian@suse.de
- add german translation (#29882)
* Fri Aug 29 2003 mcihar@suse.cz
- require same python version as it was built with
- better site-packages path detection
* Wed Jul 16 2003 adrian@suse.de
- update to version 3.2
* Tue May 27 2003 adrian@suse.de
- remove not needed helpviewer
  (it is also build in and conflicts with other packages)
* Fri May 23 2003 adrian@suse.de
- eric was formerly in PyQt
- initial own package with version 3.1
